Subject: Re: Some comments
From: Paul Gortmaker <[email-masked]>
To: Linux Documentation Project writers <[email-masked]>
Date: Fri, 18 Nov 1994 02:10:44 -0500

> 
> 
> > One thing that I noted that needs doing is the nroff/ascii version
> > doesn't get a table of contents. Seeing as it is still probably the
> > most used/avail format for the end user, this is probably significant.
> 
> I've actually had readers complain of just this.

Yay! I'm not alone.

> 
> > 	grep '^  [0-9]' Ethernet-HOWTO > index
> 
> <nod> It doesn't work terribly reliably in the NET-2-HOWTO because certain
> IP addresses end up formatted into places that look like section headings,
> but this is pretty close to being reliable.

That is why I said you have to edit out the bogus entries caused by lines
that begin with numbers.   :-)

> It gets my vote as worth addressing.
> 
> I would dearly like to be able to have SGML cope with pictures.
> I imagine something like it handling images as per usual fashion for
> HTML or Tex, and for nroff/text it just including a:
> 
> (refer diagram fname.gif)
> 
> where fname.gif is the name of the graphic to be included.
> 
> I envisage something like:
> 
> <pic title="diagram 1", name="fname.gif", options="centred">
> 
> I profess to not have any idea how practical this would be, but it would be
> really nice to be able to incorporate graphics

I have never used it (yet), but I note that the LaTeX and html mappings
have an entry like:

<eps>           +       "<EPS FILE=\"[FILE]\">"  +
</eps>

I have tried to avoid stuff like this, as it will only annoy the poor
ascii-nroff reader, which we *must not* lose sight of. In my case, if
you are reading an html version of the Ethernet-Howto, then you must
already be running ethernet, and hence not need the howto to begin
with! (Unless using another unix OS that supports www...) Get it?

Paul.
---------------------------------------------------------------------------
Paul Gortmaker - Department of Electronics Materials Engineering,
c/o The Research School of Physical Sciences and Engineering,
The Australian National University, Canberra ACT, 0020.
Ph (06) 249 0374  Fax: (06) 249 0511  E-mail: [email-masked]